Index: issm/trunk/src/c/Bamgx/BamgObjects.h
===================================================================
--- issm/trunk/src/c/Bamgx/BamgObjects.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/BamgObjects.h	(revision 3243)
@@ -34,5 +34,5 @@
 	
 	/*INLINE functions{{{1*/
-	inline Real8 det3x3(Real8 A[3] ,Real8 B[3],Real8 C[3]){
+	inline double det3x3(double A[3] ,double B[3],double C[3]){
 		return A[0]*( B[1]*C[2]-B[2]*C[1])
 		  - A[1]*( B[0]*C[2]-B[2]*C[0])
@@ -57,9 +57,9 @@
 		if (deta <=0) ret = -1;
 		else {
-			Real8 a = sqrt((Real8) (ac,ac)),
-					b = sqrt((Real8) (bc,bc)),
-					c = sqrt((Real8) (ab,ab)),
+			double a = sqrt((double) (ac,ac)),
+					b = sqrt((double) (bc,bc)),
+					c = sqrt((double) (ab,ab)),
 					p = a+b+c;
-			Real8 h= Max(Max(a,b),c),ro=deta/p;
+			double h= Max(Max(a,b),c),ro=deta/p;
 			ret = ro/h;}
 			return ret;
@@ -79,5 +79,5 @@
 	/*}}}1*/
 	/*INLINE functions of CLASS VertexOnVertex{{{1*/
-	inline void VertexOnVertex::Set(const Triangles & Th ,Int4 i,Triangles & ThNew) { 
+	inline void VertexOnVertex::Set(const Triangles & Th ,long i,Triangles & ThNew) { 
 		*this = Th.VertexOnBThVertex[i];  
 		v = ThNew.vertices + Th.Number(v);
@@ -87,5 +87,5 @@
 	/*INLINE functions of CLASS Triangles{{{1*/
 	inline  void  Triangles::ReMakeTriangleContainingTheVertex(){
-		register Int4 i;
+		register long i;
 		for ( i=0;i<nbv;i++){
 			vertices[i].vint=0;
@@ -97,5 +97,5 @@
 	inline  void  Triangles::UnMarkUnSwapTriangle()
 	  {
-		register Int4 i;
+		register long i;
 		for ( i=0;i<nbt;i++) 
 		 for(int  j=0;j<3;j++)
@@ -104,17 +104,17 @@
 
 	inline  void   Triangles::SetVertexFieldOn(){
-		for (Int4 i=0;i<nbv;i++) 
+		for (long i=0;i<nbv;i++) 
 		 vertices[i].onGeometry=0;
-		for (Int4 j=0;j<NbVerticesOnGeomVertex;j++ ) 
+		for (long j=0;j<NbVerticesOnGeomVertex;j++ ) 
 		 VerticesOnGeomVertex[j].SetOn();
-		for (Int4 k=0;k<NbVerticesOnGeomEdge;k++ ) 
+		for (long k=0;k<NbVerticesOnGeomEdge;k++ ) 
 		 VerticesOnGeomEdge[k].SetOn();
 	}	       
 	inline  void   Triangles::SetVertexFieldOnBTh(){
-		for (Int4 i=0;i<nbv;i++) 
+		for (long i=0;i<nbv;i++) 
 		 vertices[i].onGeometry=0;
-		for (Int4 j=0;j<NbVertexOnBThVertex;j++ ) 
+		for (long j=0;j<NbVertexOnBThVertex;j++ ) 
 		 VertexOnBThVertex[j].SetOnBTh();
-		for (Int4 k=0;k<NbVertexOnBThEdge;k++ ) 
+		for (long k=0;k<NbVertexOnBThEdge;k++ ) 
 		 VertexOnBThEdge[k].SetOnBTh();
 
@@ -177,7 +177,7 @@
 		 link = ThNew.triangles + Th.Number(link);
 	  }
-	inline  Triangle::Triangle(Triangles *Th,Int4 i,Int4 j,Int4 k) {
+	inline  Triangle::Triangle(Triangles *Th,long i,long j,long k) {
 		Vertex *v=Th->vertices;
-		Int4 nbv = Th->nbv;
+		long nbv = Th->nbv;
 		if (i<0 || j<0 || k<0){
 			throw ErrorException(__FUNCT__,exprintf("i<0 || j<0 || k<0"));
@@ -211,5 +211,5 @@
 	/*}}}1*/
 	 /*INLINE functions of CLASS Edge{{{1*/
-	inline void Edge::Set(const Triangles & Th ,Int4 i,Triangles & ThNew)
+	inline void Edge::Set(const Triangles & Th ,long i,Triangles & ThNew)
 	  { 
 		*this = Th.edges[i];
@@ -244,5 +244,5 @@
 	/*}}}1*/
 	 /*INLINE functions of CLASS SubDomain{{{1*/
-	inline void SubDomain::Set(const Triangles & Th ,Int4 i,Triangles & ThNew)
+	inline void SubDomain::Set(const Triangles & Th ,long i,Triangles & ThNew)
 	  {
 		*this = Th.subdomains[i];
@@ -265,6 +265,6 @@
 	/*}}}1*/
 	/*INLINE functions of CLASS Vertex{{{1*/
-	Int4 inline Vertex::Optim(int i,int koption){ 
-		Int4 ret=0;
+	long inline Vertex::Optim(int i,int koption){ 
+		long ret=0;
 		if ( t && (vint >= 0 ) && (vint <3) ){
 			ret = t->Optim(vint,koption);
@@ -281,5 +281,5 @@
 	/*}}}1*/
 	/*INLINE functions of CLASS VertexOnEdge{{{1*/
-	inline void VertexOnEdge::Set(const Triangles & Th ,Int4 i,Triangles & ThNew)
+	inline void VertexOnEdge::Set(const Triangles & Th ,long i,Triangles & ThNew)
 	  {
 		*this = Th.VertexOnBThEdge[i];  
@@ -335,5 +335,5 @@
 
 	/*Other prototypes IN TRIANGLES.CPP (TO BE REORGANIZED){{{1*/
-	Int4 AGoodNumberPrimeWith(Int4 n);
+	long AGoodNumberPrimeWith(long n);
 	TriangleAdjacent CloseBoundaryEdge(I2 ,Triangle *, double &,double &) ;
 	TriangleAdjacent CloseBoundaryEdgeV2(I2 A,Triangle *t, double &a,double &b);
Index: issm/trunk/src/c/Bamgx/Bamgx.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/Bamgx.cpp	(revision 3242)
+++ issm/trunk/src/c/Bamgx/Bamgx.cpp	(revision 3243)
@@ -130,5 +130,5 @@
 			// init with hmax 
 			Metric Mhmax(hmax);
-			for (Int4 iv=0;iv<BTh.nbv;iv++) BTh[iv].m = Mhmax;
+			for (int iv=0;iv<BTh.nbv;iv++) BTh[iv].m = Mhmax;
 			// change using hVertices if required
 			if (bamgmesh_in->hVertices){
Index: issm/trunk/src/c/Bamgx/meshtype.h
===================================================================
--- issm/trunk/src/c/Bamgx/meshtype.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/meshtype.h	(revision 3243)
@@ -17,6 +17,4 @@
 
 	//typedefs
-	typedef double Real8;
-	typedef long   Int4;
 	typedef int  Icoor1;  
 #if LONG_BIT > 63 //64 bits or more
@@ -25,23 +23,23 @@
 	typedef double Icoor2;
 #endif
-	typedef P2<Icoor1,Icoor2> I2;
-	typedef P2xP2<short,Int4>  I2xI2;
-	typedef P2<Real8,Real8>   R2;
-	typedef P2<double,Real8>   R2xR2;
+	typedef P2<Icoor1,Icoor2>  I2;
+	typedef P2xP2<short,long>  I2xI2;
+	typedef P2<double,double>  R2;
+	typedef P2<double,double>  R2xR2;
 
 	//Some parameters
-	const double  Pi =3.141592653589793238462643383279502884197169399375105820974944592308;
-	const float   fPi=3.141592653589793238462643383279502884197169399375105820974944592308;
-	const  int    IsVertexOnGeom = 8;
-	const  int    IsVertexOnVertex = 16;
-	const  int    IsVertexOnEdge = 32;
-	static const  short VerticesOfTriangularEdge[3][2] = {{1,2},{2,0},{0,1}};
-	static const  short EdgesVertexTriangle[3][2] = {{1,2},{2,0},{0,1}};
-	static const  short OppositeVertex[3] = {0,1,2};
-	static const  short OppositeEdge[3] =  {0,1,2};
-	static const  short NextEdge[3] = {1,2,0};
-	static const  short PreviousEdge[3] = {2,0,1};
-	static const  short NextVertex[3] = {1,2,0};
-	static const  short PreviousVertex[3] = {2,0,1};
+	const double Pi =3.141592653589793238462643383279502884197169399375105820974944592308;
+	const float  fPi=3.141592653589793238462643383279502884197169399375105820974944592308;
+	const  int   IsVertexOnGeom = 8;
+	const  int   IsVertexOnVertex = 16;
+	const  int   IsVertexOnEdge = 32;
+	static const short VerticesOfTriangularEdge[3][2] = {{1,2},{2,0},{0,1}};
+	static const short EdgesVertexTriangle[3][2] = {{1,2},{2,0},{0,1}};
+	static const short OppositeVertex[3] = {0,1,2};
+	static const short OppositeEdge[3] =  {0,1,2};
+	static const short NextEdge[3] = {1,2,0};
+	static const short PreviousEdge[3] = {2,0,1};
+	static const short NextVertex[3] = {1,2,0};
+	static const short PreviousVertex[3] = {2,0,1};
 #if LONG_BIT > 63
 	const  Icoor1 MaxICoor   = 1073741823; // 2^30-1 =111...111 (29 times)
@@ -61,5 +59,4 @@
 	template<class T> inline T Min3 (const T &a,const T & b,const T & c){return Min(Min(a,b),c);}
 	template<class T> inline void  HeapSort(T *c,long n){
-		/*Intermediary*/
 		int l,j,r,i;
 		T   crit;
@@ -87,5 +84,4 @@
 	}
 	template<class T> inline void  HeapSort(int** porder,T* c,int n){
-		/*Intermediary*/
 		int  l,j,r,i;
 		T    crit;
@@ -142,5 +138,4 @@
 		return  bax*cay - bay*cax;
 	}
-
 }
 #endif
Index: issm/trunk/src/c/Bamgx/objects/CrackedEdge.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/CrackedEdge.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/CrackedEdge.h	(revision 3243)
@@ -73,5 +73,5 @@
 			//Constructors
 			CrackedEdge() :a(),b() {}
-			CrackedEdge(Edge * start, Int4  i,Int4 j) : a(start+i),b(start+j) {};
+			CrackedEdge(Edge * start, long  i,long j) : a(start+i),b(start+j) {};
 			CrackedEdge(Edge * e0, Edge * e1 ) : a(e0),b(e1) {};
 
Index: issm/trunk/src/c/Bamgx/objects/DoubleAndInt4.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/DoubleAndInt4.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/DoubleAndInt4.h	(revision 3243)
@@ -11,5 +11,5 @@
 		public:
 			double q;
-			Int4 i3j;
+			long i3j;
 
 			//Operators
Index: issm/trunk/src/c/Bamgx/objects/Edge.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Edge.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/Edge.h	(revision 3243)
@@ -21,5 +21,5 @@
 		public:
 			Vertex* v[2];
-			Int4 ref;
+			long ref;
 			GeometricalEdge* onGeometry;
 			Edge* adj[2]; // the 2 adj edges if on the same curve 
@@ -32,5 +32,5 @@
 
 			//Methods
-			void ReNumbering(Vertex *vb,Vertex *ve, Int4 *renu){
+			void ReNumbering(Vertex *vb,Vertex *ve, long *renu){
 				if (v[0] >=vb && v[0] <ve) v[0] = vb + renu[v[0]-vb];
 				if (v[1] >=vb && v[1] <ve) v[1] = vb + renu[v[1]-vb];
@@ -47,5 +47,5 @@
 
 			//Inline methods
-			inline void Set(const Triangles &,Int4,Triangles &);
+			inline void Set(const Triangles &,long,Triangles &);
 
 	};
Index: issm/trunk/src/c/Bamgx/objects/GeometricalEdge.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/objects/GeometricalEdge.cpp	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/GeometricalEdge.cpp	(revision 3243)
@@ -17,11 +17,11 @@
 	/*Methods*/
 	/*FUNCTION GeometricalEdge::R1tg{{{1*/
-	Real8 GeometricalEdge::R1tg(Real8 theta,R2 & t) const // 1/R of radius of cuvature
+	double GeometricalEdge::R1tg(double theta,R2 & t) const // 1/R of radius of cuvature
 	  { R2 A=v[0]->r,B=v[1]->r;
-		Real8 dca,dcb,dcta,dctb;
-		Real8 ddca,ddcb,ddcta,ddctb;
-		// Real8 t1 = 1 -theta;
-		// Real8 t1t1 = t1*t1;
-		Real8 tt = theta*theta;
+		double dca,dcb,dcta,dctb;
+		double ddca,ddcb,ddcta,ddctb;
+		// double t1 = 1 -theta;
+		// double t1t1 = t1*t1;
+		double tt = theta*theta;
 		if ( theta<0){
 			throw ErrorException(__FUNCT__,exprintf("theta<0"));
@@ -48,5 +48,5 @@
 			}
 		 else { // 1-t*t, t-t*t, t*t
-			 Real8 t = theta;
+			 double t = theta;
 			 // cb = t*t;
 			 dcb = 2*t;
@@ -64,5 +64,5 @@
 		else
 		 if (TgB()){
-			 Real8 t = 1-theta;
+			 double t = 1-theta;
 			 //ca = t*t;
 			 dca = -2*t;
@@ -82,6 +82,6 @@
 
 		R2 dd =  A*ddca + B*ddcb + tg[0]* ddcta + tg[1] * ddctb;
-		Real8 d2=(d,d);
-		Real8 sd2 = sqrt(d2);
+		double d2=(d,d);
+		double sd2 = sqrt(d2);
 		t=d;
 		if(d2>1.0e-20) {t/=sd2;return Abs(Det(d,dd))/(d2*sd2);}
@@ -90,7 +90,7 @@
 	/*}}}1*/
 	/*FUNCTION GeometricalEdge::F{{{1*/
-	R2 GeometricalEdge::F(Real8 theta) const // parametrization of the curve edge
+	R2 GeometricalEdge::F(double theta) const // parametrization of the curve edge
 	  { R2 A=v[0]->r,B=v[1]->r;
-		Real8 ca,cb,cta,ctb;
+		double ca,cb,cta,ctb;
 		if ( theta<-1e-12){
 			throw ErrorException(__FUNCT__,exprintf("theta<-1e-12"));
@@ -107,5 +107,5 @@
 			}
 		 else { // 1-t*t, t-t*t, t*t
-			 Real8 t = theta;
+			 double t = theta;
 			 cb = t*t;
 			 ca = 1-cb;
@@ -115,5 +115,5 @@
 		else
 		 if (TgB()){
-			 Real8 t = 1-theta;
+			 double t = 1-theta;
 			 ca = t*t;
 			 cb = 1-ca;
Index: issm/trunk/src/c/Bamgx/objects/GeometricalEdge.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/GeometricalEdge.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/GeometricalEdge.h	(revision 3243)
@@ -21,6 +21,6 @@
 		public:
 			GeometricalVertex* v[2];
-			Int4 ref;
-			Int4 CurveNumber;
+			long ref;
+			long CurveNumber;
 			R2   tg[2]; // the 2 tangentes (tg[0] =0 => no continuity)
 			GeometricalEdge* Adj[2]; 
@@ -35,6 +35,6 @@
 
 			//Methods
-			R2 F(Real8 theta) const ; // parametrization of the curve edge
-			Real8 R1tg(Real8 theta,R2 &t) const ; // 1/radius of curvature + tangente
+			R2 F(double theta) const ; // parametrization of the curve edge
+			double R1tg(double theta,R2 &t) const ; // 1/radius of curvature + tangente
 			int  Cracked() const {return flag & 1;}
 			int  Dup() const { return flag & 32;}
Index: issm/trunk/src/c/Bamgx/objects/GeometricalSubDomain.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/GeometricalSubDomain.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/GeometricalSubDomain.h	(revision 3243)
@@ -19,5 +19,5 @@
 			GeometricalEdge *edge;
 			int sens; // -1 or 1
-			Int4 ref;
+			long ref;
 
 			//Inline methods
Index: issm/trunk/src/c/Bamgx/objects/Geometry.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Geometry.cpp	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/Geometry.cpp	(revision 3243)
@@ -16,5 +16,5 @@
 	/*FUNCTION  Geometry::Geometry(const Geometry & Gh){{{1*/
 	Geometry::Geometry(const Geometry & Gh) {
-		Int4 i;
+		long i;
 		*this = Gh;
 		NbRef =0;
@@ -223,6 +223,6 @@
 		NbOfCurves=0;
 
-		Real8 Hmin = HUGE_VAL;// the infinie value 
-		Int4 hvertices=0;
+		double Hmin = HUGE_VAL;// the infinie value 
+		long hvertices=0;
 		int i,j,k,n,i1,i2;
 
@@ -250,5 +250,5 @@
 				vertices[i].r.x=(double)bamggeom->Vertices[i*3+0];
 				vertices[i].r.y=(double)bamggeom->Vertices[i*3+1];
-				vertices[i].ReferenceNumber=(Int4)bamggeom->Vertices[i*3+2];
+				vertices[i].ReferenceNumber=(long)bamggeom->Vertices[i*3+2];
 				vertices[i].DirOfSearch=NoDirOfSearch;
 				vertices[i].color =0;
@@ -297,5 +297,5 @@
 				i1=(int)bamggeom->Edges[i*3+0]-1; //-1 for C indexing
 				i2=(int)bamggeom->Edges[i*3+1]-1; //-1 for C indexing
-				edges[i].ref=(Int4)bamggeom->Edges[i*3+2];
+				edges[i].ref=(long)bamggeom->Edges[i*3+2];
 
 				edges[i].v[0]= vertices + i1;
@@ -304,5 +304,5 @@
 				//get length of edge
 				R2    x12=vertices[i2].r-vertices[i1].r;
-				Real8 l12=sqrt((x12,x12));
+				double l12=sqrt((x12,x12));
 				Hmin=Min(Hmin,l12);
 
@@ -466,5 +466,5 @@
 		//SubDomain
 		if(bamggeom->SubDomains){
-			Int4 i0,i1,i2,i3;
+			long i0,i1,i2,i3;
 			if(verbose>5) printf("      processing SubDomains\n");
 			NbSubDomains=bamggeom->NumSubDomains;
@@ -493,8 +493,8 @@
 		long int verbosity=0;
 
-		Int4 i,j,k;
+		long i,j,k;
 		int jj;
-		Int4* head_v=new Int4[nbv];
-		Int4* next_p=new Int4[2*nbe];
+		long* head_v=new long[nbv];
+		long* next_p=new long[2*nbe];
 		float* eangle=new float[nbe];
 		double eps=1e-20;
@@ -635,5 +635,5 @@
 			//compute vector of edge i that goes from vertex 0 to vertex 1
 			R2 v10=edges[i].v[1]->r - edges[i].v[0]->r;
-			Real8 lv10=Norme2(v10);
+			double lv10=Norme2(v10);
 			//check that its length is not 0
 			if(lv10==0) {
@@ -644,5 +644,5 @@
 			//build chains head_v and next_p
 			for (j=0;j<2;j++){
-				Int4 v=Number(edges[i].v[j]);
+				long v=Number(edges[i].v[j]);
 				next_p[k]=head_v[v];
 				head_v[v]=k++; //post increment: head_v[v]=k; and then k=k+1;
@@ -656,7 +656,7 @@
 			//exchange vertices position in head_v and next_p till tey are sorted
 			while (exch){
-				Int4 *p=head_v+i;               // pointer toward head_v[vertex i]
-				Int4 *po=p;                     // copy of pointer p
-				Int4  n=*p;                     // next value of edge holding i
+				long *p=head_v+i;               // pointer toward head_v[vertex i]
+				long *po=p;                     // copy of pointer p
+				long  n=*p;                     // next value of edge holding i
 				register float angleold=-1000 ; // angle = - infinity
 				ord=0; exch=0;
@@ -665,7 +665,7 @@
 				while (n >=0){
 					ord++;
-					register Int4  i1=n/2;       // i1 = floor (n/2)
-					register Int4  j1=n%2;       // j1 = 1 if n is odd
-					register Int4* pn=next_p+n;  // pointer to next_p[n]
+					register long  i1=n/2;       // i1 = floor (n/2)
+					register long  j1=n%2;       // j1 = 1 if n is odd
+					register long* pn=next_p+n;  // pointer to next_p[n]
 
 					//  n = next_p[n] = position in edge of next vertex i
@@ -695,8 +695,8 @@
 			// angular test on current vertex to guess whether it is a corner (ord = number of edges horlding i)
 			if(ord == 2) { 
-				Int4  n1 = head_v[i];
-				Int4  n2 = next_p[n1];
-				Int4  i1 = n1/2, i2 = n2/2; // edge number
-				Int4  j1 = n1%2, j2 = n2%2; // vertex in the edge 
+				long  n1 = head_v[i];
+				long  n2 = next_p[n1];
+				long  i1 = n1/2, i2 = n2/2; // edge number
+				long  j1 = n1%2, j2 = n2%2; // vertex in the edge 
 				float angle1=  j1 ? OppositeAngle(eangle[i1]) : eangle[i1];
 				float angle2= !j2 ? OppositeAngle(eangle[i2]) : eangle[i2];
@@ -718,5 +718,5 @@
 
 			// close the list around the vertex 
-			Int4 no=-1, ne = head_v[i];
+			long no=-1, ne = head_v[i];
 			while (ne >=0) ne = next_p[no=ne];        
 			if(no>=0) next_p[no] = head_v[i];
@@ -727,6 +727,6 @@
 		for (i=0;i<nbe;i++){
 			for (j=0;j<2;j++){
-				Int4 n1 = next_p[k++]; 
-				Int4 i1 = n1/2 ,j1=n1%2;
+				long n1 = next_p[k++]; 
+				long i1 = n1/2 ,j1=n1%2;
 				if( edges[i1].v[j1] != edges[i].v[j]) {
 					throw ErrorException(__FUNCT__,exprintf("Bug Adj edge"));
@@ -743,7 +743,7 @@
 			R2    AB =edges[i].v[1]->r -edges[i].v[0]->r;        
 			//Get length of AB
-			Real8 lAB=Norme2(AB);
+			double lAB=Norme2(AB);
 			//initialize tangent
-			Real8 ltg2[2];
+			double ltg2[2];
 			ltg2[0]=0;ltg2[1]=0;
 
@@ -751,5 +751,5 @@
 			for (jj=0;jj<2;jj++) {
 				R2    tg =edges[i].tg[jj];
-				Real8 ltg=Norme2(tg);
+				double ltg=Norme2(tg);
 
 				//by default, tangent=[0 0]
@@ -777,5 +777,5 @@
 			for (i=0;i<nbe;i++) edges[i].SetUnMark();
 			NbOfCurves = 0;
-			Int4  nbgem=0;
+			long  nbgem=0;
 			for (int level=0;level < 2 && nbgem != nbe;level++)
 			 for (i=0;i<nbe;i++) {
@@ -920,6 +920,6 @@
 	/*}}}1*/
 	/*FUNCTION  Geometry::ProjectOnCurve {{{1*/
-	GeometricalEdge* Geometry::ProjectOnCurve(const Edge & e,Real8 s,Vertex &V,VertexOnGeom &GV ) const {
-		Real8 save_s=s;
+	GeometricalEdge* Geometry::ProjectOnCurve(const Edge & e,double s,Vertex &V,VertexOnGeom &GV ) const {
+		double save_s=s;
 		int NbTry=0;
 retry:    
@@ -937,5 +937,5 @@
 		GeometricalEdge *ge[mxe+1];
 		int    sensge[mxe+1];
-		Real8  lge[mxe+1];
+		double  lge[mxe+1];
 		int bge=mxe/2,tge=bge;
 		ge[bge] = e.onGeometry;
@@ -1000,14 +1000,14 @@
 		 vg1 = VertexOnGeom( *(Vertex *) vg1,*eg1,sens1);
 
-		Real8 sg;
+		double sg;
 		if (eg0 == eg1) { 
-			register Real8 s0= vg0,s1=vg1;
+			register double s0= vg0,s1=vg1;
 			sg =  s0 * (1.0-s) +  s * s1;
 			on=eg0;}
 		else {
 			R2 AA=V0,BB;
-			Real8 s0,s1;
+			double s0,s1;
 			int i=bge;
-			Real8 ll=0;
+			double ll=0;
 			for(i=bge;i<tge;i++){
 				if ( i<0 || i>mxe){
@@ -1022,9 +1022,9 @@
 					throw ErrorException(__FUNCT__,exprintf("s>1.0"));
 				}
-				Real8 ls= s*ll;
+				double ls= s*ll;
 				on =0;
 				s0 = vg0;
 				s1= sensge[bge];
-				Real8 l0=0,l1;
+				double l0=0,l1;
 				i=bge;
 				while (  (l1=lge[i]) < ls ) {
Index: issm/trunk/src/c/Bamgx/objects/Geometry.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Geometry.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/Geometry.h	(revision 3243)
@@ -25,9 +25,9 @@
 
 		public:
-			Int4 NbRef;     // counter of ref on the this class if 0 we can delete
-			Int4 nbvx,nbtx; // maximum number of vertices
-			Int4 nbv,nbt,nbiv,nbe; // number of vertices
-			Int4 NbSubDomains; // 
-			Int4 NbOfCurves;
+			long NbRef;     // counter of ref on the this class if 0 we can delete
+			long nbvx,nbtx; // maximum number of vertices
+			long nbv,nbt,nbiv,nbe; // number of vertices
+			long NbSubDomains; // 
+			long NbOfCurves;
 			GeometricalVertex* vertices;
 			Triangle* triangles; 
@@ -37,6 +37,6 @@
 			Curve* curves;
 			R2 pmin,pmax; // extrema
-			Real8 coefIcoor;  // coef to integer Icoor1;
-			Real8 MaximalAngleOfCorner;
+			double coefIcoor;  // coef to integer Icoor1;
+			double MaximalAngleOfCorner;
 
 			//Constructor/Destructors
@@ -46,8 +46,8 @@
 
 			//Operators
-			const GeometricalVertex & operator[]  (Int4 i) const { return vertices[i];};
-			GeometricalVertex & operator[](Int4 i) { return vertices[i];};
-			const  GeometricalEdge & operator()  (Int4 i) const { return edges[i];};
-			GeometricalEdge & operator()(Int4 i) { return edges[i];}; 
+			const GeometricalVertex & operator[]  (long i) const { return vertices[i];};
+			GeometricalVertex & operator[](long i) { return vertices[i];};
+			const  GeometricalEdge & operator()  (long i) const { return edges[i];};
+			GeometricalEdge & operator()(long i) { return edges[i];}; 
 
 			//Methods
@@ -57,6 +57,6 @@
 				return  I2( (Icoor1) (coefIcoor*(P.x-pmin.x))
 							,(Icoor1) (coefIcoor*(P.y-pmin.y)) );}
-			Real8 MinimalHmin() {return 2.0/coefIcoor;}
-			Real8 MaximalHmax() {return Max(pmax.x-pmin.x,pmax.y-pmin.y);}
+			double MinimalHmin() {return 2.0/coefIcoor;}
+			double MaximalHmax() {return Max(pmax.x-pmin.x,pmax.y-pmin.y);}
 			void ReadGeometry(BamgGeom* bamggeom, BamgOpts* bamgopts);
 			void EmptyGeometry();
@@ -64,11 +64,11 @@
 			void AfterRead();
 			Geometry(BamgGeom* bamggeom, BamgOpts* bamgopts) {EmptyGeometry();ReadGeometry(bamggeom,bamgopts);AfterRead();}
-			Int4 Number(const GeometricalVertex & t) const  { return &t - vertices;}
-			Int4 Number(const GeometricalVertex * t) const  { return t - vertices;}
-			Int4 Number(const GeometricalEdge & t) const  { return &t - edges;}
-			Int4 Number(const GeometricalEdge * t) const  { return t - edges;}
-			Int4 Number(const Curve * c) const  { return c - curves;}
-			void UnMarkEdges() {for (Int4 i=0;i<nbe;i++) edges[i].SetUnMark();}
-			GeometricalEdge *  ProjectOnCurve(const Edge & ,Real8,Vertex &,VertexOnGeom &) const ;
+			long Number(const GeometricalVertex & t) const  { return &t - vertices;}
+			long Number(const GeometricalVertex * t) const  { return t - vertices;}
+			long Number(const GeometricalEdge & t) const  { return &t - edges;}
+			long Number(const GeometricalEdge * t) const  { return t - edges;}
+			long Number(const Curve * c) const  { return c - curves;}
+			void UnMarkEdges() {for (long i=0;i<nbe;i++) edges[i].SetUnMark();}
+			GeometricalEdge *  ProjectOnCurve(const Edge & ,double,Vertex &,VertexOnGeom &) const ;
 			GeometricalEdge *  Contening(const R2 P,  GeometricalEdge * start) const;
 			void WriteGeometry(BamgGeom* bamggeom, BamgOpts* bamgopts);
Index: issm/trunk/src/c/Bamgx/objects/ListofIntersectionTriangles.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/objects/ListofIntersectionTriangles.cpp	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/ListofIntersectionTriangles.cpp	(revision 3243)
@@ -19,5 +19,5 @@
 		long int verbosity=2;
 		Icoor2 deta[3], deti,detj;
-		Real8 ba[3];
+		double ba[3];
 		int nbt =0,ifirst=-1,ilast;
 		int i0,i1,i2;
@@ -38,5 +38,5 @@
 			t=tbegin = Bh.FindTriangleContaining(a,deta);
 			if( t->det>=0)
-			 ilast=NewItem(t,Real8(deta[0])/t->det,Real8(deta[1])/t->det,Real8(deta[2])/t->det);
+			 ilast=NewItem(t,double(deta[0])/t->det,double(deta[1])/t->det,double(deta[2])/t->det);
 			else 
 			  {// find the nearest boundary edge  of the vertex A
@@ -94,5 +94,5 @@
 			if ( det(vi,vj,b)>=0) {
 				t=tbegin;
-				Real8 ba,bb;
+				double ba,bb;
 				TriangleAdjacent edge=CloseBoundaryEdge(b,t,ba,bb);
 				NewItem(B,Metric(ba,*edge.EdgeVertex(0),bb,*edge.EdgeVertex(1)));
@@ -104,5 +104,5 @@
 				i=VerticesOfTriangularEdge[iedge][0];
 				j=VerticesOfTriangularEdge[iedge][1];
-				Real8 dij = detj-deti;
+				double dij = detj-deti;
 				if (i+j+k != 0 + 1 +2){
 					throw ErrorException(__FUNCT__,exprintf("i+j+k != 0 + 1 +2"));
@@ -191,5 +191,5 @@
 							dt[1]=bamg::det((*t)[2],(*t)[0],b);
 							dt[2]=bamg::det((*t)[0],(*t)[1],b);
-							Real8 dd = t->det;
+							double dd = t->det;
 							NewItem(t,dt[0]/dd,dt[1]/dd,dt[2]/dd);      
 							return ;}
@@ -216,6 +216,6 @@
 	}
 	/*}}}1*/
-	/*FUNCTION ListofIntersectionTriangles::NewItem(Triangle * tt,Real8 d0,Real8 d1,Real8 d2) {{{1*/
-	int  ListofIntersectionTriangles::NewItem(Triangle * tt,Real8 d0,Real8 d1,Real8 d2) { 
+	/*FUNCTION ListofIntersectionTriangles::NewItem(Triangle * tt,double d0,double d1,double d2) {{{1*/
+	int  ListofIntersectionTriangles::NewItem(Triangle * tt,double d0,double d1,double d2) { 
 		register int n;
 		R2 x(0,0);
@@ -257,5 +257,5 @@
 	/*}}}1*/
 	/*FUNCTION ListofIntersectionTriangles::Length{{{1*/
-	Real8  ListofIntersectionTriangles::Length(){
+	double  ListofIntersectionTriangles::Length(){
 		// computation of the length
 
@@ -275,5 +275,5 @@
 
 		y = lIntTria[0].x;
-		Real8 sxy, s = 0;
+		double sxy, s = 0;
 		lIntTria[0].s =0;
 		SegI->lBegin=s;
@@ -303,18 +303,18 @@
 	/*}}}1*/
 	/*FUNCTION ListofIntersectionTriangles::NewPoints{{{1*/
-	Int4 ListofIntersectionTriangles::NewPoints(Vertex* vertices,Int4 &nbv,Int4 nbvx){
+	long ListofIntersectionTriangles::NewPoints(Vertex* vertices,long &nbv,long nbvx){
 
 		//If length<1.5, do nothing
-		Real8 s=Length();
+		double s=Length();
 		if (s<1.5) return 0;
 
-		const Int4 nbvold=nbv;
+		const long nbvold=nbv;
 		int ii = 1 ;
 		R2 y,x;
 		Metric My,Mx ;
-		Real8 sx =0,sy;
+		double sx =0,sy;
 		int nbi=Max(2,(int) (s+0.5));
-		Real8 sint=s/nbi;
-		Real8 si  =sint;
+		double sint=s/nbi;
+		double si  =sint;
 
 		int EndSeg=Size;
@@ -337,9 +337,9 @@
 			sy =lIntTria[ii].s;
 			Metric My=lIntTria[ii].m;
-			Real8 lxy = sy-sx;
-			Real8 cy = abscisseInterpole(Mx,My,y-x,(si-sx)/lxy);
+			double lxy = sy-sx;
+			double cy = abscisseInterpole(Mx,My,y-x,(si-sx)/lxy);
 
 			R2 C;
-			Real8 cx = 1-cy;
+			double cx = 1-cy;
 			C = SegI ? SegI->F(si): x * cx + y *cy;
 			//C.Echo();
Index: issm/trunk/src/c/Bamgx/objects/ListofIntersectionTriangles.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/ListofIntersectionTriangles.h	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/ListofIntersectionTriangles.h	(revision 3243)
@@ -23,10 +23,10 @@
 			public: 
 				Triangle* t;
-				Real8  bary[3];  // use if t != 0
+				double  bary[3];  // use if t != 0
 				R2 x;
 				Metric m;
-				Real8 s; // curvilinear coordinate 
-				Real8 sp;// length of the previous segment in m
-				Real8 sn;// length of the next segment in m
+				double s; // curvilinear coordinate 
+				double sp;// length of the previous segment in m
+				double sn;// length of the next segment in m
 		};
 
@@ -34,11 +34,11 @@
 			public:
 				GeometricalEdge * e;
-				Real8 sBegin,sEnd; // abscisse of the seg on edge parameter
-				Real8 lBegin,lEnd; // length abscisse set in ListofIntersectionTriangles::Length
+				double sBegin,sEnd; // abscisse of the seg on edge parameter
+				double lBegin,lEnd; // length abscisse set in ListofIntersectionTriangles::Length
 				int last;// last index  in ListofIntersectionTriangles for this Sub seg of edge
 
 				//Methods
-				R2 F(Real8 s){ 
-					Real8 c01=lEnd-lBegin, c0=(lEnd-s)/c01, c1=(s-lBegin)/c01;
+				R2 F(double s){ 
+					double c01=lEnd-lBegin, c0=(lEnd-s)/c01, c1=(s-lBegin)/c01;
 					if (lBegin>s || s>lEnd){
 						throw ErrorException(__FUNCT__,exprintf("lBegin>s || s>lEnd"));
@@ -52,5 +52,5 @@
 			int MaxSize;
 			int Size;
-			Real8 len;
+			double len;
 			int state;
 			IntersectionTriangles * lIntTria;
@@ -77,10 +77,10 @@
 			//Methods
 			void  init(){state=0;len=0;Size=0;}
-			int   NewItem(Triangle * tt,Real8 d0,Real8 d1,Real8 d2);
+			int   NewItem(Triangle * tt,double d0,double d1,double d2);
 			int   NewItem(R2,const Metric & );
 			void  SplitEdge(const Triangles & ,const R2 &,const R2  &,int nbegin=0); 
-			Real8 Length(); 
-			Int4  NewPoints(Vertex *,Int4 & nbv,Int4 nbvx);
-			void  NewSubSeg(GeometricalEdge *e,Real8 s0,Real8 s1){ 
+			double Length(); 
+			long  NewPoints(Vertex *,long & nbv,long nbvx);
+			void  NewSubSeg(GeometricalEdge *e,double s0,double s1){ 
 				long int verbosity=0;
 				if (NbSeg>=MaxNbSeg) {
Index: issm/trunk/src/c/Bamgx/objects/Metric.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Metric.cpp	(revision 3242)
+++ issm/trunk/src/c/Bamgx/objects/Metric.cpp	(revision 3243)
@@ -16,6 +16,6 @@
 
 	/*Constructor/Destructor*/
-	/*FUNCTION Metric::Metric(const Real8  a[3],const  Metric m0, const  Metric m1,const  Metric  m2 ){{{1*/ 
-	Metric::Metric(const Real8  a[3],const  Metric m0, const  Metric m1,const  Metric m2 ){
+	/*FUNCTION Metric::Metric(const double  a[3],const  Metric m0, const  Metric m1,const  Metric  m2 ){{{1*/ 
+	Metric::Metric(const double  a[3],const  Metric m0, const  Metric m1,const  Metric m2 ){
 		Metric mab(a[0]*m0.a11 + a[1]*m1.a11 + a[2]*m2.a11,
 					a[0]*m0.a21 + a[1]*m1.a21 + a[2]*m2.a21,
@@ -27,6 +27,6 @@
 		R2 v2(-v1.y,v1.x);
 
-		Real8 h1 = a[0] / m0(v1) + a[1] / m1(v1) + a[2] / m2(v1);
-		Real8 h2 = a[0] / m0(v2) + a[1] / m1(v2) + a[2] / m2(v2);
+		double h1 = a[0] / m0(v1) + a[1] / m1(v1) + a[2] / m2(v1);
+		double h2 = a[0] / m0(v2) + a[1] / m1(v2) + a[2] / m2(v2);
 
 		vab.lambda1 =  1 / (h1*h1);
@@ -35,6 +35,6 @@
 	}
 	/*}}}1*/
-	/*FUNCTION Metric::Metric( Real8  a,const  Metric ma, Real8  b,const  Metric mb){{{1*/
-	Metric::Metric( Real8  a,const  Metric ma, Real8  b,const  Metric mb) { 
+	/*FUNCTION Metric::Metric( double  a,const  Metric ma, double  b,const  Metric mb){{{1*/
+	Metric::Metric( double  a,const  Metric ma, double  b,const  Metric mb) { 
 		Metric mab(a*ma.a11+b*mb.a11,a*ma.a21+b*mb.a21,a*ma.a22+b*mb.a22);
 		MatVVP2x2 vab(mab);
@@ -44,6 +44,6 @@
 
 
-		Real8 h1 = a / ma(v1) + b / mb(v1);
-		Real8 h2 = a / ma(v2) + b / mb(v2);
+		double h1 = a / ma(v1) + b / mb(v1);
+		double h2 = a / ma(v2) + b / mb(v2);
 		vab.lambda1 =  1 / (h1*h1);
 		vab.lambda2 =  1 / (h2*h2);
@@ -117,16 +117,16 @@
 	/*Intermediary*/
 	/*FUNCTION LengthInterpole{{{1*/
-	Real8 LengthInterpole(const Metric Ma,const  Metric Mb, R2 AB) {
-		Real8 k=1./2.;
+	double LengthInterpole(const Metric Ma,const  Metric Mb, R2 AB) {
+		double k=1./2.;
 		int level=0;
 		static int kkk=0;
 		static  Metric Ms1[32],Ms2[32];
-		static Real8 lMs1[32],lMs2[32];
+		static double lMs1[32],lMs2[32];
 		static double K[32];
-		Real8 l=0,sss=0;
+		double l=0,sss=0;
 		Ms1[level]=Ma;
 		Ms2[level]=Mb;
-		Real8 sa =  Ma(AB);
-		Real8 sb =  Mb(AB);
+		double sa =  Ma(AB);
+		double sb =  Mb(AB);
 		lMs1[level]=sa;
 		lMs2[level]=sb;
@@ -134,6 +134,6 @@
 		level++;
 		int i=0;
-		Real8 * L= LastMetricInterpole.L, *S = LastMetricInterpole.S;
-		Real8  sstop = 0.1; // Max(0.6,(sa+sb)/5000);
+		double * L= LastMetricInterpole.L, *S = LastMetricInterpole.S;
+		double  sstop = 0.1; // Max(0.6,(sa+sb)/5000);
 		while (level) {
 			level--;
@@ -141,11 +141,11 @@
 			Metric M2=Ms2[level];
 			k=K[level];
-			Real8 s1=  lMs1[level];
-			Real8 s2=  lMs2[level];
-
-			Real8 s= (s1+s2)*k;
+			double s1=  lMs1[level];
+			double s2=  lMs2[level];
+
+			double s= (s1+s2)*k;
 			if( s > sstop   && level < 30 && i < 500-level ) {
 				Metric Mi(0.5,M1,0.5,M2);
-				Real8 si = Mi(AB);
+				double si = Mi(AB);
 				if( Abs((s1+s2)-(si+si)) > s1*0.001) 
 				  {
@@ -286,10 +286,10 @@
 	/*}}}1*/
 	/*FUNCTION abscisseInterpole{{{1*/
-	Real8 abscisseInterpole(const Metric Ma,const  Metric Mb, R2 AB,Real8 s,int optim) { 
+	double abscisseInterpole(const Metric Ma,const  Metric Mb, R2 AB,double s,int optim) { 
 		if(!optim)  LengthInterpole(Ma,Mb,AB);
-		Real8 l  = s* LastMetricInterpole.lab,r;
+		double l  = s* LastMetricInterpole.lab,r;
 		int j=LastMetricInterpole.opt-1,i=0,k;
 
-		Real8 * L= LastMetricInterpole.L, *S = LastMetricInterpole.S;
+		double * L= LastMetricInterpole.L, *S = LastMetricInterpole.S;
 		// warning for optimisation S is the abcisse in [0:0.5]
 		// and L is le lenght 
